Bug 162544 - Cannot access workspace files with space in name
Cannot access workspace files with space in name
Status: RESOLVED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Hudson
6.x
All All
: P4 (vote)
: 7.1
Assigned To: Jesse Glick
issues@connecteddeveloper
: SPACE_IN_PATH
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-13 23:00 UTC by Jesse Glick
Modified: 2011-07-21 14:32 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2009-04-13 23:00:12 UTC
java.io.IOException: Server rejected connection to
http://bertram.netbeans.org/hudson/job/PHP-build/139/artifact/nbbuild/NetBeans-dev-2009-04-13_06-05-03 -php.zip with
code 505
        at org.netbeans.modules.hudson.api.ConnectionBuilder.doConnection(ConnectionBuilder.java:319)
        at org.netbeans.modules.hudson.api.ConnectionBuilder.connection(ConnectionBuilder.java:221)
        at org.netbeans.modules.hudson.impl.RemoteFileSystem.connection(RemoteFileSystem.java:201)
[catch] at org.netbeans.modules.hudson.impl.RemoteFileSystem.lastModified(RemoteFileSystem.java:236)

Probably RFS (and others?) need to URI-encode file names. Utilities.uriEncode would need a variant that encodes path
segments and then rejoins with slashes.
Comment 1 Jesse Glick 2009-05-22 03:21:21 UTC
No time for 6.7.
Comment 2 Jesse Glick 2009-11-16 10:22:19 UTC
Did not make it for 6.8.
Comment 3 Jesse Glick 2011-07-20 17:36:29 UTC
core-main #8097576622fd
Comment 4 Quality Engineering 2011-07-21 14:32:47 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/8097576622fd
User: Jesse Glick <jglick@netbeans.org>
Log: #162544: Cannot access workspace files with space in name


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo